;************************************************************************ini i/o
ReadIni:
  IniVersion = 3
  
    IfExist,%A_ScriptName%.ini
      {
      IniRead,IniVersion            ,%A_ScriptName%.ini,IniSettings,IniVersion,1
      If IniVersion = 1
        {
        IniWrite,%GridOrder%        ,%A_ScriptName%.ini,GridSettings,GridOrder
        IniVersion = 2
        IniWrite,%IniVersion%       ,%A_ScriptName%.ini,IniSettings,Iniversion
        }
      If IniVersion = 2
        {
        IniWrite,%UseCommand%       ,%A_ScriptName%.ini,ProgramSettings,UseCommand
        IniWrite,%CommandHotkey%    ,%A_ScriptName%.ini,ProgramSettings,CommandHotkey
        IniWrite,%UseFastMove%      ,%A_ScriptName%.ini,ProgramSettings,UseFastMove
        IniWrite,%FastMoveModifiers%,%A_ScriptName%.ini,ProgramSettings,FastMoveModifiers
        IniVersion = 3
        IniWrite, %IniVersion%      ,%A_ScriptName%.ini, IniSettings,Iniversion
        }
      IniRead,GridName         ,%A_ScriptName%.ini,GridSettings     ,GridName,Error
      IniRead,LButtonDrag      ,%A_ScriptName%.ini,InterfaceSettings,LButtonDrag,Error
      IniRead,MButtonDrag      ,%A_ScriptName%.ini,InterfaceSettings,MButtonDrag,Error
      IniRead,EdgeDrag         ,%A_ScriptName%.ini,InterfaceSettings,EdgeDrag,Error
      IniRead,EdgeTime         ,%A_ScriptName%.ini,OtherSettings    ,EdgeTime,Error
      IniRead,ShowGroupsFlag   ,%A_ScriptName%.ini,OtherSettings    ,ShowGroupsFlag,Error
      IniRead,TitleSize        ,%A_ScriptName%.ini,OtherSettings    ,TitleSize,Error
      IniRead,GridOrder        ,%A_ScriptName%.ini,GridSettings     ,GridOrder,Error
      IniRead,UseCommand       ,%A_ScriptName%.ini,Programsettings  ,UseCommand,Error
      IniRead,CommandHotkey    ,%A_ScriptName%.ini,Programsettings  ,CommandHotkey,Error
      IniRead,UseFastMove      ,%A_ScriptName%.ini,Programsettings  ,UseFastMove,Error
      IniRead,FastMoveModifiers,%A_ScriptName%.ini,Programsettings  ,FastMoveModifiers,Error
      If (GridName= "Error" OR LButtonDrag= "Error" OR MButtonDrag= "Error" 
          OR EdgeDrag= "Error" OR EdgeTime= "Error" OR ShowGroupsFlag= "Error" 
          OR TitleSize= "Error")
        {
        MsgBox,There was an error reading the .ini file.`nThe script will be restarted, and the ini file will be deleted.
        FileDelete,%A_ScriptName%.ini
        Reload
        sleep 20000
        }
      }
    else
      {
      GoSub, AboutHelp
      GoSub,WriteIni
      msgbox,64,Information,As this is GridMove's first run`,you'll get some help in the form of tooltips.`nIf you don't like to see them`, just close GridMove through it's tray menu and run it again.`nPlease notice that GridMove may act a bit slower because of these helpers.
      settimer, helper,100
      }
    return
    
WriteIni:
  IfNotExist,%A_ScriptName%.ini
    FileAppend, ,%A_ScriptName%.ini
  IniWrite,%GridName%         ,%A_ScriptName%.ini,GridSettings     ,GridName
  IniWrite,%LButtonDrag%      ,%A_ScriptName%.ini,InterfaceSettings,LButtonDrag
  IniWrite,%MButtonDrag%      ,%A_ScriptName%.ini,InterfaceSettings,MButtonDrag
  IniWrite,%EdgeDrag%         ,%A_ScriptName%.ini,InterfaceSettings,EdgeDrag
  IniWrite,%EdgeTime%         ,%A_ScriptName%.ini,OtherSettings    ,EdgeTime
  IniWrite,%ShowGroupsFlag%   ,%A_ScriptName%.ini,OtherSettings    ,ShowGroupsFlag
  IniWrite,%TitleSize%        ,%A_ScriptName%.ini,OtherSettings    ,TitleSize
  IniWrite,%GridOrder%        ,%A_ScriptName%.ini,GridSettings     ,GridOrder
  IniWrite,%UseCommand%       ,%A_ScriptName%.ini,ProgramSettings  ,UseCommand
  IniWrite,%CommandHotkey%    ,%A_ScriptName%.ini,ProgramSettings  ,CommandHotkey
  IniWrite,%UseFastMove%      ,%A_ScriptName%.ini,ProgramSettings  ,UseFastMove
  IniWrite,%FastMoveModifiers%,%A_ScriptName%.ini,ProgramSettings  ,FastMoveModifiers
  IniWrite,%IniVersion%       ,%A_ScriptName%.ini,IniSettings      ,iniversion
  Return   
   
;***************************************************************About / help GUI
AboutHelp:
if mutex
  return
mutex:=true

gui, 3: Add, Tab, x6 y5 w440 h420, About|Help

;**************About
gui, 3: Tab, 1
IfExist gridmove.ico
  gui, 3:Add , Picture, x15 y35,gridmove.ico
else
  IfExist gridmove.exe
    gui, 3:Add , Picture, x15 y35,gridmove.exe
    
gui, 3:Font,Bold s10
gui, 3:Add ,Text,x65 y45,GridMove V%ScriptVersion% by jgpaiva`n

gui, 3:Font,
gui, 3:Font, s10
gui, 3:Add ,Text,x15 y95 w420 ,This is a small script that helps you organize your windows in your desktop, by creating a grid that when called up, you can snap windows into. It's bundled with some predefined templates, but you can create your own grids, or download other people's grids. For more information on how to use it, check the help tab or the DonationCoder.com Forum thread.

gui, 3:Add ,Text,X15 Y220,It was suggested by Nudone at DonationCoder.com forums, `nin the following thread:
gui, 3:Font,CBlue Underline
gui, 3:Add ,Text,X15 Y255 GPost,http://www.donationcoder.com/Forums/bb/index.php?topic=3824
gui, 3:Font

gui, 3:Font, s10
gui, 3:Add ,Text, y280 X15,`nPlease visit us at:
gui, 3:Font,CBlue Underline s10
gui, 3:Add ,Text, y313 X15 GMainSite,http://www.donationcoder.com/
gui, 3:Font

IfExist,Images/Cody.png
  Gui, 3:Add ,Picture, Y290 X280,Images/Cody.png

gui, 3:Add ,Button,y350 x15  gdonateAuthor w116 h30,Donate

gui, 3:Font, s9
gui, 3:Add ,Text,y400 x15 h10,If you like this program please make a donation to help further development.

;**************HELP
gui, 3:Tab, 2
gui, 3:Font,

Gui, 3:Add, Edit, w413 R29 vMyEdit ReadOnly
IfExist, GridMoveHelp.txt
  FileRead, FileContents,GridMoveHelp.txt 
Else
  MsgBox,ERROR: GridMoveHelp.txt not found!! 
GuiControl,3:, MyEdit, %FileContents%

/*
gui, 3:add, Text, w420, There are 3 methods of interaction with this program, each of them can be disabled or activated through the options menu on the tray menu.

gui, 3:add, Text, w420, Method one:`n LButton Drag: When this method is activated, the grid will come up when the user drags`n a window by grabbing its title bar somewhere close to its icon. The number of pixels of `n title bar considered to activate this method is defined in the option "Title Size".

gui, 3:add, Text, w420, Method two:`n MButton Drag: When this method is activated, the grid will come up when the user`n presses and holds the middle mouse button and then drags a window. When the user`n releases the middle mouse button, the window is snapped to the highlighted area. 

gui, 3:add, Text, w420, Method three:`n EdgeDrag: When this method is activated, the grid will come up when the user grabs a`n window and moves the mouse to the edge of the screen. The EdgeTime option defines`n the time the mouse will have to remain in the edge of the screen for the grid to come up.

gui, 3:add, Text, w420, The Tray icon's menu contains a Templates submenu. This submenu contains pre-configured grids, and a 'browse' feature, which allows you to use your own customized grids.

gui, 3:add, Text, w420, By pressing the windows key and 'g' at the same time`,you get a handy dialog you can use to quickly snap windows. Just press the number of the grid element where you'd like to move the window.

gui, 3:add, Text, w420, Check out the forum thread for more information on how to create new grids and how to use additional new functions.
*/

;**************General + complementary functions
gui, 3:tab

;gui, 3:Add, Button, g3GuiClose x340 y395 w100 h30, &Ok
  
Gui, 3:show,,GridMove V%ScriptVersion% by jgpaiva
return

Post:
  Run,http://www.donationcoder.com/Forums/bb/index.php?topic=3824
  GoSub,3GuiCLOSE 
  return
  
MainSite:
  Run,http://www.donationcoder.com/
  GoSub,3Guiclose 
  return
  
DonateSite:
  Run,http://www.donationcoder.com/Donate/index.html
  GoSub,3Guiclose
  return
  
DonateAuthor:
  Run,https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=jgpaiva`%40gmail`%2ecom&item_name`=donate`%20to`%20jgpaiva&item_number`=donationcoder`%2ecom&no_shipping=1&cn=Please`%20drop`%20me`%20a`%20line`%20`%3aD&tax`=0&currency_code=EUR&bn=PP`%2dDonationsBF&charset=UTF`%2d8
  GoSub,3Guiclose
  return  
  
3GuiEscape:
3GuiClose:  
buttonok:
  gui,3:destroy
  mutex:=false
  return
  
;*********************************************************************Templates
Template-2partVertical:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu()
  Menu, Templates, Check, 2-part grid Vertical

  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  
  Count += 1
  %count%TriggerTop    := MonitorTop
  %count%TriggerLeft   := MonitorLeft
  %count%TriggerRight  := MonitorLeft + Round(MonitorWidth / 2)
  %count%TriggerBottom := MonitorBottom
  %count%GridTop       := %count%TriggerTop
  %count%GridRight     := %count%TriggerRight
  %count%GridBottom    := %count%TriggerBottom
  %count%GridLeft      := %count%TriggerLeft
  
  count += 1
  %count%TriggerTop    := MonitorTop
  %count%TriggerLeft   := MonitorLeft + Round(MonitorWidth /2)
  %count%TriggerRight  := MonitorRight
  %count%TriggerBottom := MonitorBottom
  %count%GridTop       := %count%TriggerTop
  %count%GridRight     := %count%TriggerRight
  %count%GridBottom    := %count%TriggerBottom
  %count%GridLeft      := %count%TriggerLeft
  }
  NGroups := MonitorCount * 2
  Gui,Destroy
  GoSub, CreateGroups
  GridName = 2PartVertical
  GoSub, WriteIni
return

Template-2partHorizontal:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu()
  Menu, Templates, Check, 2-part grid Horizontal

  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  
  Count += 1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorTop + Round(MonitorHeight /2)
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  
  Count += 1
  %Count%TriggerTop    := MonitorTop + Round(MonitorHeight /2)
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop + 0.01
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  }
  NGroups := MonitorCount * 2
  Gui,Destroy
  GoSub, CreateGroups
  GridName = 2PartHorizontal
  GoSub, WriteIni
return

Template-3part:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu() 
  Menu, Templates, Check, 3-part grid

  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft + Round(MonitorWidth / 3)
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorLeft + Round(MonitorWidth / 3)
  %Count%TriggerBottom := MonitorTop + Round(MonitorHeight / 2)
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  
  Count+=1
  temp := count - 1
  %Count%TriggerTop    := %Temp%TriggerBottom +0.01
  %Count%TriggerRight  := MonitorLeft + Round(MonitorWidth / 3)
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  }
  NGroups := MonitorCount * 3
  Gui,Destroy
  GoSub, CreateGroups
  GridName = 3Part
  GoSub, WriteIni
return

Template-4part:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu()
  Menu, Templates, Check, 4-part grid
  
  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorLeft + Round(MonitorWidth  /2)
  %Count%TriggerBottom := MonitorTop  + Round(MonitorHeight /2)
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  Count+=1
  temp := count - 1 
  %Count%TriggerTop    := %temp%TriggerTop
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := %temp%TriggerBottom
  %Count%TriggerLeft   := %temp%TriggerRight
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  Count+=1
  temp := count - 1 
  %Count%TriggerTop    := %temp%TriggerBottom + 0.1
  %Count%TriggerRight  := %temp%TriggerLeft
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  Count+=1
  temp := count - 1   
  %Count%TriggerTop    := %temp%TriggerTop +0.1
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := %temp%TriggerRight
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  }
  NGroups := 4* MonitorCount
  Gui,Destroy
  GoSub, CreateGroups
  GridName = 4Part
  GoSub, WriteIni
return

Template-edge:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu()
  Menu, Templates, Check, Edge grid
  
  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, Monitor,%A_index%
  SysGet, MonitorW, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  MonitorWWidth := MonitorWRight - MonitorWLeft
  MonitorWHeight := MonitorWBottom - MonitorWTop
  
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorLeft + 30
  %Count%TriggerBottom := MonitorTop + 30
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := MonitorWTop
  %Count%GridRight     := MonitorWLeft + Round(MonitorWWidth / 2)
  %Count%GridBottom    := MonitorWTop + Round(MonitorWHeight / 2)
  %Count%GridLeft      := MonitorWLeft
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorTop + 30
  %Count%TriggerLeft   := MonitorRight - 30
  %Count%GridTop       := MonitorWTop
  %Count%GridRight     := MonitorWRight
  %Count%GridBottom    := MonitorWTop + Round(MonitorWHeight / 2)
  %Count%GridLeft      := MonitorWRight - Round(MonitorWWidth / 2)
  Count+=1
  %Count%TriggerTop    := MonitorBottom - 30
  %Count%TriggerRight  := MonitorLeft + 30
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := MonitorWTop + Round(MonitorWHeight / 2) + 0.01
  %Count%GridRight     := MonitorWLeft + Round(MonitorWWidth / 2)
  %Count%GridBottom    := MonitorwBottom
  %Count%GridLeft      := MonitorWLeft
  Count+=1
  %Count%TriggerTop    := MonitorBottom - 30
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorRight - 30
  %Count%GridTop       := MonitorWTop + Round(MonitorWHeight / 2) + 0.01
  %Count%GridRight     := MonitorWRight
  %Count%GridBottom    := MonitorwBottom
  %Count%GridLeft      := MonitorWRight - Round(MonitorWWidth / 2)
  Count+=1
  %Count%TriggerTop    := MonitorTop + MonitorHeight * 0.3
  %Count%TriggerRight  := MonitorLeft + MonitorWidth * 0.7
  %Count%TriggerBottom := MonitorTop + MonitorHeight * 0.7
  %Count%TriggerLeft   := MonitorLeft + MonitorWidth * 0.3
  %Count%GridTop       := MonitorWTop + MonitorWWidth * 0.1
  %Count%GridRight     := MonitorWLeft + MonitorWWidth * 0.9
  %Count%GridBottom    := MonitorWTop + MonitorWHeight * 0.9
  %Count%GridLeft      := MonitorWLeft + MonitorWWidth * 0.1
  Count+=1  
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorLeft + MonitorWidth -30
  %Count%TriggerBottom := MonitorTop + 10
  %Count%TriggerLeft   := MonitorLeft + 30
  %Count%GridTop       := MonitorWTop
  %Count%GridRight     = WindowWidth
  %Count%GridBottom    := MonitorWBottom
  %Count%GridLeft      = WindowWidth
  Count+=1 
  %Count%TriggerTop    := MonitorTop + 30
  %Count%TriggerRight  := MonitorLeft + 10
  %Count%TriggerBottom := MonitorBottom - 30
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       = WindowHeight
  %Count%GridRight     := MonitorWRight
  %Count%GridBottom    = WindowHeight
  %Count%GridLeft      := MonitorWLeft
  Count+=1 
  Temp := Count - 3
  %Count%TriggerTop    := %temp%TriggerBottom
  %Count%TriggerRight  := %temp%TriggerRight
  %Count%TriggerBottom := %temp%TriggerBottom + 30
  %Count%TriggerLeft   := %Count%TriggerRight - 120
  %Count%GridTop       = restore
  %Count%GridRight     = restore
  %Count%GridBottom    = restore
  %Count%GridLeft      = restore
  Count+=1 
  Temp := Count - 1
  %Count%TriggerTop    := %temp%TriggerTop
  %Count%TriggerRight  := %temp%TriggerLeft
  %Count%TriggerBottom := %temp%TriggerBottom
  %Count%TriggerLeft   := %Count%TriggerRight - 120
  %Count%GridTop       = Maximize
  %Count%GridRight     = Maximize
  %Count%GridBottom    = Maximize
  %Count%GridLeft      = Maximize
  Count+=1 
  Temp := Count - 1
  %Count%TriggerTop    := %temp%TriggerTop
  %Count%TriggerRight  := %temp%TriggerLeft
  %Count%TriggerBottom := %temp%TriggerBottom
  %Count%TriggerLeft   := %Count%TriggerRight - 120
  %Count%GridTop       = AlwaysOnTop
  %Count%GridRight     = AlwaysOnTop
  %Count%GridBottom    = AlwaysOnTop
  %Count%GridLeft      = AlwaysOnTop
  }
  NGroups := 10 * MonitorCount
  Gui,Destroy
  GoSub, CreateGroups
  GridName = edge
  GoSub, WriteIni
return

Template-DualScreen:
  Menu,Templates,DeleteAll
  CreateTemplatesMenu()
  Menu, Templates, Check, Dual-Screen grid
  
  SysGet, MonitorCount, MonitorCount
  Count := 0
  
  loop, %MonitorCount%
  {
  SysGet, Monitor, MonitorWorkArea,%A_index%
  MonitorWidth := MonitorRight - MonitorLeft
  MonitorHeight := MonitorBottom - MonitorTop
  
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorRight
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft + Round(MonitorWidth / 3)
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  Count+=1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := MonitorLeft + Round(MonitorWidth / 3)
  %Count%TriggerBottom := MonitorTop + Round(MonitorHeight / 2)
  %Count%TriggerLeft   := MonitorLeft + 30
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := MonitorLeft
  Count+=1
  temp := count - 1
  %Count%TriggerTop    := %Temp%TriggerBottom +0.01
  %Count%TriggerRight  := MonitorLeft + Round(MonitorWidth / 3)
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft +30
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %Count%TriggerRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := MonitorLeft
  Count+=1
  temp := count - 1
  %Count%TriggerTop    := MonitorTop
  %Count%TriggerRight  := %temp%TriggerLeft
  %Count%TriggerBottom := MonitorBottom
  %Count%TriggerLeft   := MonitorLeft
  %Count%GridTop       := %Count%TriggerTop
  %Count%GridRight     := %temp%GridRight
  %Count%GridBottom    := %Count%TriggerBottom
  %Count%GridLeft      := %Count%TriggerLeft
  }
  NGroups := 4 * MonitorCount
  Gui,Destroy
  GoSub, CreateGroups
  GridName = DualScreen
  GoSub, WriteIni
return

